<?php
//*********************/
//Скрипт переписан админом
//http://sim-sim.h2m.ru  Кот
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС
//всю эту срань господнюю
//перехуяривали на дыры
//Nitrix http://waufon.ru
/*********************/
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
//require( "produkt.php" );
require( "../license/license.php" );
$level = $row['level'];
$login = $row['login'];
$login = autorize();
$sound =  $login['sound'] ;
echo "<title>cPanel</title>";
echo "<style type=\"text/css\">";
echo "body { margin: auto; max-width: 500px; font: 12px Arial; color: #808080; background-color: #000000; }";
echo "a:link,a:visited { text-decoration: none; color: b0c4db; }";
echo "div { background-color: #202020; border-style:solid; border-width: 1px; }";
echo "img { vertical-align: middle; }";
echo "</style>";
echo "</head>";
echo "<body>";
if ( $level < 4 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
}
else
{
if ( $view )
{
$mod = "view";
}
else if ( $kick )
{
$mod = "kick";
}
else if ( $ban )
{
$mod = "ban";
}
else if ( $sst )
{
$mod = "sst";
}
else if ( $clroom )
{
$mod = "clroom";
}
else if ( $crt )
{
$mod = "crt";
}
else if ( $delroom )
{
$mod = "delroom";
}
else if ( $nazv )
{
$mod = "nazv";
}
else if ( $deluser )
{
$mod = "deluser";
}
else if ( $razip )
{
$mod = "razip";
}
else if ( $adn )
{
$mod = "adn";
}
/////////
else if ( $tem )
{
$mod = "tem";
}
else if ( $deltem )
{
$mod = "deltem";
}
else if ( $dln )
{
$mod = "dln";
}
else if ( $tell )
{
$mod = "tell";
}
else if ( $dbn )
{
$mod = "dbn";
}
else if ( $addph )
{
$mod = "addph";
}
else
{
$mod = $mod;
}
switch ( $mod )
{
case "tell" :
if ( empty( $do ) )
{
echo "<div>Объявление в чат</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Текст:<br/>";
echo "<input type=\"text\" name=\"msg\" maxlength=\"512\"/><br/>";
echo "<input value=\"Послать\" type=\"submit\" class=\"cp\">";
echo "</form>";
break;
}
else
{
if ( empty( $msg ) )
{
echo "<div>Пустое сообщение!</div>";
break;
}
else
{
$time = time( );
$msg = substr( $msg, 0, 1024 );
$msg = check( $msg );
$msg = "<b>{$msg}</b>";
mysql_query( "Insert into mess set id=0, login='[{$login}]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
echo "<div>Объявление успешно добавленно!</div>";
break;
}

}
case "clroom" :
mysql_query( "TRUNCATE TABLE mess" );
mysql_query( "TRUNCATE TABLE intim" );
echo "<div>Комнаты успешно очищенны!</div>";
break;
case "addph" :
if ( $level < 4 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
if ( empty( $do ) )
{
echo "<div>Добавить фото</div>";
echo "Впиши адрес фотки</a><br/>";

echo "<form  method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Кому:<br/>";
echo "<input type=\"text\" name=\"nick\" maxlength=\"15\"/><br/>";
echo "Ссылка пример:<br/>";
echo "<input name=\"url\" maxlength=\"100\" value=\"http://waufon.ru/logo.gif\"/><br/>";
echo "<input value=\"Добавить\" type=\"submit\" class=\"cp\">";
echo "</form>";
break;
}
else
{
$nick = check( $nick );
$q = @mysql_query( @"select id from users where login='".$nick."';" );
if ( @( mysql_num_rows( @$q ) == 0 ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Такого юзера не существует!</div>";
break;
}
else
{
$url = substr( $url, 0, 100 );
$url = check( $url );
if ( mysql_query( "update users set shtamp ='".$url."'  where login='".$nick."';" ) )
{
echo "<div>Юзер успешно прописан!</div>";
break;
}
else
{
echo "<div>Ошибка...</div>";
break;
}
}
}
}
case "deluser" :
if ( $level < 7 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
if ( empty( $do ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/prikaz.wav\"></br>";
}
echo "<div>Удалить пользователя</div>";
echo "<form  method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Кого:<br/>";
echo "<input type=\"text\" name=\"nick\" maxlength=\"15\"/><br/>";
echo "<input value=\"Удалить\" type=\"submit\" class=\"cp\">";
echo "</form>";
break;
}
else
{
$nick = check( $nick );
$q = @mysql_query( @"select level,login from users where login='".$nick."';" );
if ( @( mysql_num_rows( @$q ) == 0 ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Такого юзера не существует!</div>";
break;
}
else
{
$data = mysql_fetch_array( $q );
if ( $level <= $data['level'] )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Вы не можете удалить <b>{$nick}</b> !!!</div>";
break;
}
else
{
if ( mysql_query( "delete from users where login='{$nick}';" ) )
{
echo "<div><b>{$nick}</b> успешно удален из чата!</div>";
break;
}
else
{
echo "<div>Ошибка...</div>";
break;
}
}
}
}
}
case "dbn" :
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
if ( empty( $do ) )
{
echo "<div>Черный список</div>";
$max = $row['num_msgs'];
if ( empty( $max ) )
{
$max = 10;
}
$p = intval( $p );
if ( $p < 0 )
{
$p = 0;
}
$page = $p * $max;
$q = mysql_query( "select id, login,whokick from users where ban='1' limit {$page},{$max};" );
$k = mysql_num_rows( $q );
while ( $arr = mysql_fetch_array( $q ) )
{
echo "&#8226; <a href=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=del&amp;mid=".$arr['id']."\">".$arr['login']."</a>  [".$arr['whokick']."]<br/>";
}
if ( $max <= $k )
{
print "---<br/><a href=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;p=".( $p + 1 )."\">Дальше&#187;</a><br/>";
break;
}
}
else
{
$mid = intval( $mid );
if ( mysql_query( "update users set ban='0', whokick='', whykick=''  where id='".$mid."';" ) )
{
echo "<div>Пользователь успешно разбанен!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
echo "<a href=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}\">Разбанить еще</a><br/>";
break;
}
}
case "kick" :
$nick = check( $nick );
$q = @mysql_query( @"select level,login from users where login='".$nick."';" );
if ( @( mysql_num_rows( @$q ) == 0 ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Такого юзера не существует!</div>";
break;
}
else
{
$data = @mysql_fetch_array( @$q );
if ( $level <= $data['level'] )
{
echo "<div>Вы не можете пинать <b>".$data['login']."</b> !!!</div>";
break;
}
else
{
$min = intval( $min );
$sec = $min * 60;
$wtime = $sec + time( );
$why = substr( $why, 0, 100 );
$why = check( $why );
if ( mysql_query( "update users set kick='".$wtime."', whokick='".$login."', whykick='".$why."'  where login='".$nick."';" ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/ban.wav\"></br>";
}
echo "<div><b>{$nick}</b> выпнут из чата на {$min} минут!</div>";
break;
}
}
}
case "ban" :
if ( $level < 5 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
$nick = check( $nick );
$q = mysql_query( "select id, login, level, ip, browser from users where login='".$nick."';" );
if ( @( mysql_num_rows( @$q ) == 0 ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Такого юзера не существует!</div>";
break;
}
else
{
$data = @mysql_fetch_array( @$q );
if ( $level <= $data['level'] )
{
echo "<div>Вы не можете банить <b>".$data['login']."</b> !!!</div>";
break;
}
else
{
$ip = $data['ip'];
$brows = $data['browser'];
$curtime = time( );
$why = substr( $why, 0, 100 );
$why = check( $why );
mysql_query( "insert into ban_ip values(0,'{$ip}','{$brows}','{$curtime}');" );
if ( mysql_query( "update users set ban='1', whokick='".$login."', whykick='".$why."'  where login='".$nick."';" ) )
{
echo "<div><b>".$data['login']."</b> забанен!</div>";
break;
}
else
{
echo "<div>Ошибка...</div>";
break;
}
}
}
}
case "adn" :
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
if ( empty( $do ) )
{
echo "<div>Добавить новость</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Название:<br/>";
echo "<input name=\"title\" maxlength=\"30\"/><br/>";
echo "Содержание:<br/>";
echo "<input name=\"content\" maxlength=\"512\"/><br/>";
echo "Организаторы:<br/>";
echo "<input name=\"org\" maxlength=\"15\"/><br/>";
echo "<input value=\"Добавить\" type=\"submit\" class=\"cp\">";
echo "</form>";
break;
}
else
{
if ( empty( $title ) )
{
echo "<div>Пустое название!</div>";
break;
}
else
{
if ( empty( $content ) )
{
echo "<div>Пустое содержание встречи!</div>";
break;
}
else
{
if ( empty( $org ) )
{
echo "<div>Организаторов нет!</div>";
break;
}
else
{
$q = mysql_query( "select title, content from news order by id desc;" );
$last_news = @mysql_fetch_array( @$q );
if ( $title == $last_news['title'] || $content == $last_news['content'] )
{
echo "<div>Такая новость уже добавлена!</div>";
break;
}
else
{
$title = substr( $title, 0, 60 );
$content = substr( $content, 0, 1024 );
$org = substr( $org, 0, 30 );
$title = check( $title );
$content = check( $content );
$org = check( $org );
echo "<div>";
if ( mysql_query( "insert into news values(0,'{$login}','{$title}','{$content}','{$org}');" ) )
{
echo "Ваша новость успешно добавлена!";
}
else
{
echo "Проблемы с базой данных!";
}
echo "</div>";
break;
}
}
}
}
}
}
//////////TEAM////////////
case "tem" :
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
if ( empty( $do ) )
{
echo "<div>Добавить тему</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Название темы:<br/>";
echo "<input name=\"title\" maxlength=\"30\"/><br/>";
echo "Содержание темы:<br/>";
echo "<input name=\"content\" maxlength=\"512\"/><br/>";
echo "Организаторы:<br/>";
echo "<input name=\"org\" maxlength=\"15\"/><br/>";
echo "<input value=\"Добавить\" type=\"submit\" class=\"cp\">";
echo "</form>";
break;
}
else
{
if ( empty( $title ) )
{
echo "<div>Пустое название!</div>";
break;
}
else
{
if ( empty( $content ) )
{
echo "<div>Пустое содержание встречи!</div>";
break;
}
else
{
if ( empty( $org ) )
{
echo "<div>Организаторов нет!</div>";
break;
}
else
{
$q = mysql_query( "select title, content from team order by id desc;" );
$last_team = @mysql_fetch_array( @$q );
if ( $title == $last_team['title'] || $content == $last_team['content'] )
{
echo "<div>Такая тема уже есть!</div>";
break;
}
else
{
$title = substr( $title, 0, 60 );
$content = substr( $content, 0, 1024 );
$org = substr( $org, 0, 30 );
$title = check( $title );
$content = check( $content );
$org = check( $org );
echo "<div>";
if ( mysql_query( "insert into team values(0,'{$login}','{$title}','{$content}','{$org}');" ) )
{
echo "Ваша тема успешно добавлена!";
}
else
{
echo "Проблемы с базой данных!";
}
echo "</div>";
break;
}
}
}
}
}
}
////////удалить тему//////
case "deltem" :
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
$q = mysql_query( "select * from team order by id desc;" );
if ( empty( $do ) )
{
echo "<div>Удалить тему</div>";
if ( mysql_affected_rows( ) == 0 )
{
echo "Новостей нет...";
}
else
{
while ( $arr = mysql_fetch_array( $q ) )
{
++$i;
echo "{$i}. <a href=\"index.php?do=del&amp;id={$id}&amp;pass={$pass}&amp;mod=deltem&amp;mid=".$arr['id']."\">".$arr['title']."</a><br/>";
}
}
}
else
{
$mid = intval( $mid );
if ( mysql_query( "delete from team where id='{$mid}' limit 1;" ) )
{
echo "<div>Тема успешно удалена!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
}
echo "<br/>";
break;
}


//////////////////
case "dln" :
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
$q = mysql_query( "select * from news order by id desc;" );
if ( empty( $do ) )
{
echo "<div>Удалить новость</div>";
if ( mysql_affected_rows( ) == 0 )
{
echo "Новостей нет...";
}
else
{
while ( $arr = mysql_fetch_array( $q ) )
{
++$i;
echo "{$i}. <a href=\"index.php?do=del&amp;id={$id}&amp;pass={$pass}&amp;mod=dln&amp;mid=".$arr['id']."\">".$arr['title']."</a><br/>";
}
}
}
else
{
$mid = intval( $mid );
if ( mysql_query( "delete from news where id='{$mid}' limit 1;" ) )
{
echo "<div>Новость успешно удалена!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
}
echo "<br/>";
break;
}
case "crt" :
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
if ( empty( $do ) )
{
echo "<div>Создать комнату</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Название:<br/>";
echo "<input type=\"text\" name=\"name\" maxlength=\"20\"/><br/>";
echo "Статус:<br/>";
echo "<select name=\"rid\">";
echo "<option value=\"0\">Викторина</option>";
echo "<option value=\"1\">Виртуальный собиседник</option>";
echo "<option value=\"2\">Зал смеха</option>";
echo "<option value=\"3\">Веньчанья</option>";
echo "<option value=\"4\">Чистая N4</option>";
echo "<option value=\"5\">Злая викторина</option>";
echo "<option value=\"6\">Чистая N6</option>";
echo "<option value=\"7\">Чистая N7</option>";
echo "<option value=\"8\">Чистая №8</option>";
echo "<option value=\"9\">Сортир</option>";
echo "<option value=\"10\">Интим</option>";
echo "<option value=\"11\">Виртуальный психолог</option>";
echo "</select><br/>";
echo "<input value=\"Создать\" type=\"submit\" class=\"cp\">";
echo "</form>";
break;
}
else
{
if ( empty( $name ) )
{
echo "<div>Пустое название!</div>";
break;
}
else
{
$rid = intval( $rid );
if ( $rid < 0 || 11 < $rid )
{
echo "<div>Неверное значение ключа!</div>";
break;
}
else
{
$name = substr( $name, 0, 40 );
$name = check( $name );
$q = @mysql_query( @"select `id` from `setts` where `var`='{$rid}';" );
if ( @( mysql_num_rows( @$q ) != 0 ) )
{
echo "<div>Такая комната уже есть!</div>";
break;
}
else
{
if ( @mysql_query( @"insert into setts values(0, '".$rid."', '".$name."');" ) )
{
echo "<div>Комната успешно созданна!</div>";
break;
}
else
{
echo "<div>Ошибка...</div>";
break;
}
}
}
}
}
}
#####очистка отдельной комнаты ####
case "clearroom":
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
	{
	echo "<div>Очистить комнату {$title}</div>";
$room = "room".$rm;
#$roo = "room".$var;
$q = @mysql_query( @"select `name` from `setts` where var='".$rm."';" );
$setts = @mysql_fetch_array( @$q );
$title = $setts['name'];

$clr = mysql_query( "delite * from mess where  room like '%$room%' " );
if($clr=0){echo "<div>Комната {$title} успешно очищенны!</div>";}
	}
break;
############################*/
case "delroom" :
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
if ( empty( $do ) )
{
echo "<div>Удалить комнату</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Комната<br/>";
echo "<select name=\"rid\">";
$q = @mysql_query( "select * from `setts` order by var;" );
while ( $dbdata = @mysql_fetch_array( @$q ) )
{
echo "<option value=\"".$dbdata['var']."\">".$dbdata['name']."</option>";
}
echo "</select><br/>";
echo "<input value=\"Удалить\" type=\"submit\" class=\"cp\">";
echo "</form>";
break;
}
else
{
$rid = intval( $rid );
if ( @mysql_query( @"delete from `setts` where `var`='{$rid}';" ) )
{
echo "<div>Комната успешно удалена!</div>";
break;
}
else
{
echo "<div>Ошибка...</div>";
break;
}
}
}
case "nazv" :
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
if ( empty( $do ) )
{
echo "<div>Новое название</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Заголовок:<br/>";
echo "<input type=\"text\" name=\"name\" maxlength=\"15\"/><br/>";
echo "Комната<br/>";
echo "<select name=\"rid\">";
$q = @mysql_query( "select * from `setts` order by var;" );
while ( $dbdata = @mysql_fetch_array( @$q ) )
{
echo "<option value=\"".$dbdata['var']."\">".$dbdata['name']."</option>";
}
echo "</select><br/>";
echo "<input value=\"Изменить\" type=\"submit\" class=\"cp\">";
echo "</form>";
break;
}
else
{
if ( empty( $name ) )
{
echo "<div>Пустой заголовок!</div>";
break;
}
else
{
$name = substr( $name, 0, 30 );
$name = check( $name );
$rid = intval( $rid );
if ( @mysql_query( @"update setts set name='{$name}' where var='{$rid}';" ) )
{
echo "<div>Заголовок успешно изменен!</div>";
break;
}
else
{
echo "<div>Ошибка...</div>";
break;
}
}
}
}
case "upd" :
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
if ( empty( $upid ) )
{
echo "<div>Неожиданная ошибка!</div>";
break;
}
else
{
if ( empty( $upnick ) )
{
echo "<div>Пустой ник!</div>";
break;
}
else
{
if ( 30 < strlen( $upnick ) )
{
echo "<div>Максимальная длинна ника 15 символов!</div>";
break;
}
else
{
if ( empty( $upass ) )
{
echo "<div>Пустой пароль!</div>";
break;
}
else
{
if ( 20 < strlen( $upass ) )
{
echo "<div>Максимальная длинна пароля 20 символов!</div>";
break;
}
else
{
if ( preg_match( "/[^\\da-zA-Z_]+/", $upass ) )
{
echo "<div>Пароль должен быть на латинице!</div>";
break;
}
else
{
$status = substr( $status, 0, 50 );
$upnick = check( $upnick );
$upass = check( $upass );
$status = check( $status );
$zags = check( $zags );
$posts = intval( $posts );
$vposts = intval( $vposts );
$credits = intval( $credits );
$byeotv = intval( $byeotv );
$inv = intval( $inv );
$upid = intval( $upid );
$q = @mysql_query( @"select login,level from users where id='".$upid."';" );
if ( @( mysql_num_rows( @$q ) == 0 ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Такого юзера не существует!</div>";
break;
}
else
{
$data = @mysql_fetch_array( @$q );
if ( $level < $data['level'] )
{
echo "<div>Нет прав на данную операцию!</div>";
break;
}
else
{
$nick = $data['login'];
$q = @mysql_query( @"select id from users where login = '".$upnick."' and login != '".$nick."'" );
if ( @( mysql_num_rows( @$q ) != 0 ) )
{
echo "<div>Пользователь <b><u>{$upnick}</u></b> уже сушествует</div>\n";
break;
}
else
{
$ins_str = "Update users set login='".$upnick."', pass='".$upass."', posts='".$posts."', vposts='".$vposts."', credits='".$credits."', status='".$status."', baks='".$baks."', mafcredits='".$mafcredits."', votefoto='".$votefoto."', prizrak='".$prizrak."', inv='".$inv."', ncol='".$ncol."', zags='".$zags."' where id ='".$upid."'";
if ( mysql_query( $ins_str ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/ok.wav\"></br>";
}
echo "<div>Данные пользователя <b><u>{$nick}</u></b> успешно обновленны!</div>";
break;
}
else
{
echo "<div>Неожиданная ошибка!</div>";
break;
}
}
}
}
}
}
}
}
}
}
}
case "view" :
if ( $level < 6 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
$nick = check( $nick );
$q = @mysql_query( @"select * from users where login='".$nick."';" );
if ( @( mysql_num_rows( @$q ) == 0 ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Такого юзера не существует!</div>";
break;
}
else
{
$data = @mysql_fetch_array( @$q );
if ( $level < $data['level'] )
{
echo "<div>Информация закрыта!</div>";
break;
}
else
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/prikaz.wav\"></br>";
}
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod=upd&amp;upid={$data['id']}\">";
echo "Ник:<br/>";
echo "<input name=\"upnick\" value=\"{$data['login']}\" title=\"nick\" maxlength=\"15\"/><br/>";
echo "Пароль:<br/>";
echo "<input name=\"upass\" value=\"{$data['pass']}\" title=\"upass\" maxlength=\"20\"/><br/>";
echo "А постов та:<br/>";
echo "<input name=\"posts\" value=\"{$data['posts']}\" title=\"posts\" maxlength=\"6\"/><br/>";
echo "Ответов в викторине:<br/>";
echo "<input name=\"vposts\" value=\"{$data['vposts']}\" title=\"vposts\" maxlength=\"5\"/><br/>";
echo "Игоровых кредитов:<br/>";
echo "<input name=\"credits\" value=\"{$data['credits']}\" title=\"credits\" maxlength=\"9\"/><br/>";
echo "Статус:<br/>";
echo "<input name=\"status\" value=\"{$data['status']}\" title=\"status\" maxlength=\"25\"/><br/>";
echo "Тугрики привилегий:<br/>";
echo "<input name=\"baks\" value=\"{$data['baks']}\" title=\"baks\" maxlength=\"3\"/><br/>";
echo "<b>Кредитов в Мафие</b>:<br/>\n";
echo "<input name=\"mafcredits\" value=\"{$data['mafcredits']}\" title=\"mafcredits\" maxlength=\"5\"/><br/>";
//echo "<b>Голосов за фото</b>:<br/>\n";
//echo "<input name=\"votefoto$re\" value=\"{$data['votefoto$re']}\" title=\"votefoto$re\" maxlength=\"2\"/><br/>";
echo "<b>Невидимость</b>:<br/>\n";

echo "<select name=\"prizrak\">\n";
if ($inf["prizrak"] == 0)echo "<option value=\"0\">Отключена</option>\n";
elseif ($inf["prizrak"] == 1)echo "<option value=\"1\">Включена</option>\n";
elseif ($inf["inv"] == 1)echo "<option value=\"2\">Полный игнор</option>\n";
elseif ($inf["inv"] == 0)echo "<option value=\"3\">Откл. игнор</option>\n";
if ($inf["prizrak"]!=0) echo "<option value=\"0\">Отключена</option>\n";
if ($inf["prizrak"]!=1) echo "<option value=\"1\">Включена</option>\n";
if ($inf["inv"]!=1) echo "<option value=\"2\">Полный игнор</option>\n";
if ($inf["inv"]!=0) echo "<option value=\"3\">Откл. игнор</option>\n";
echo "</select><br/>\n";
echo "Цвет Ника (код):<br/>";
echo "<span style=\"color:#0000FF;\">1</span>|<span style=\"color:#00FF00;\">2</span>|<span style=\"color:#00FFFF;\">3</span>|<span style=\"color:#800000;\">4</span>|<span style=\"color:#FFFF00;\">5</span>|<span style=\"color:#000000;\">6</span>|<span style=\"color:#FF0000;\">7</span>|<span style=\"color:#FF00FF;\">8</span>|<span style=\"color:#FF6600;\">9</span>|<span style=\"color:#800080;\">10</span>|<span style=\"color:#FFFFFF;\">11</span>|<br/>";
echo "<input name=\"ncol\" value=\"{$data['ncol']}\" title=\"posts\" maxlength=\"6\"/><br/>";
echo "Семейное положение:<br/>";
echo "<input name=\"zags\" value=\"{$data['zags']}\" title=\"zags\" maxlength=\"25\"/><br/>";
echo "<input type=\"submit\" class=\"cp\" value=\"Изменить\" /></form>";
break;
}
}
}
case "sst" :
if ( $level < 7 )
{
echo "<div>Гандон Ипаш нахуй Эта дыра закрыта Котом waufon.ru!</div>";
break;
}
else
{
if ( empty( $do ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/prikaz.wav\"></br>";
}
echo "<div>Назначить</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Кого:<br/>";
echo "<input type=\"text\" name=\"nick\" maxlength=\"15\"/><br/>";
echo "Кем:<br/>";
echo "<select name=\"nlev\">";
echo "<option value=\"0\">Разжаловать</option>";
echo "<option value=\"4\">V.I.P.</option>";
echo "<option value=\"5\">Модер</option>";
echo "<option value=\"6\">Ст.Модер</option>";
if ( 7 < $level )
{
echo "<option value=\"7\">Админ</option>";
echo "<option value=\"8\">Ст.Админ</option>";
}
if ( 8 < $level )
{
echo "<option value=\"9\">В поддержку</option>";
}
echo "</select><br/>";
echo "<input value=\"Назначить\" type=\"submit\" class=\"cp\">";
echo "</form>";
break;
}
else
{
$nick = check( $nick );
$nlev = intval( $nlev );
$q = @mysql_query( @"select id, level  from users where login='".$nick."';" );
if ( @( mysql_num_rows( @$q ) == 0 ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Такого юзера не существует!</div>";
break;
}
else
{
$data = @mysql_fetch_array( @$q );
$upid = $data['id'];
if ( $level < $data['level'] )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/owibka.wav\"></br>";
}
echo "<div>Вы не можете изненить статус <b>{$nick}</b>!</div>";
break;
}
else
{
if ( $level < $nlev )
{
echo "<div>Вы не можете присвоить статус выше чем у вас!!!</div>";
break;
}
else
{
$ins_str = "Update users set level='".$nlev."'  where id ='".$upid."'";
if ( mysql_query( $ins_str ) )
{
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/now_problem.wav\"></br>";
}
echo "<div>Данные пользователя <b><u>{$nick}</u></b> успешно обновленны!</div>";
break;
}
else
{
echo "<div>Неожиданная ошибка!</div>";
break;
}
}
}
}
}
}

////////////////////
default :
if ( $level == 4 )
{
$cpanel = "V.I.P";
}
if ( $level == 5 )
{
$cpanel = "MODERz";
}
if ( $level == 6 )
{
$cpanel = "TOP MODERz";
}
if ( $level == 7 )
{
$cpanel = "ADMINz";
}
if ( $level == 8 )
{
$cpanel = "SUPER ADMINz";
}if ( 8 < $level )
{
$cpanel = "SUPPORT";
}
echo "<div><b>{$cpanel} cPanel</b></div>";
/*
if ( $produkt < time( ) )
{
echo "<title>ATTENTION!!! ATTENTION EWERY ONE :)</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: x-small; color: #00FF00; background-color: #000000; text-align: center }";
echo "a:link,a:visited { text-decoration: underline; color: #00FFFF }";
echo "div { color: #000000; background-color: #FFFF00 }";
echo "</style></head><body>";
echo "<div><b>Внимание!</b></div>";
echo "Срок данного продукта<br/>";
echo "истек <b>".date( "d-m-y", $produkt )."</b>!<br/>";
echo "По вопросам продления срока обращайтесь:<br/>";
echo "***<br/><b><u>olegarhi75@mail.ru<br/>";
echo "или<br/>";
echo "На форум</u></b><br/>";
echo "<br/><a href=\"http://waufon.ru\">waufon.ru</a><br/><br/>";
echo "Эта формальность нам необходима для проверки на обман нехароших админов и если вы зареганы в нашем каталоге, поверьте мы с радостью вам продлим лицензию на продукт<br/>";
echo "<div><b>&copy; КОТ</b></div>";
echo "<p>{$ip}</p>";
echo "<a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a><br/><p>{$ip}</p>";
echo "</body></html>";
exit( );
}
*/
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/hod.wav\"></br>";
}
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}\">";
echo "Ник юзера:<br/>";
echo "<input name=\"nick\" title=\"nick\" size=\"15\"/><br/>";
if ( 5 < $level )
{
echo "<input type=\"submit\" name=\"view\" class=\"cp\" value=\"Обновить\"/><br/>\n";
}
echo "<b>Пинок:</b><br/>";
echo "На сколько (мин)<br/>";
echo "<input name=\"min\" maxlength=\"3\"/><br/>";
echo "Причина<br/>";
echo "<input name=\"why\" maxlength=\"200\" size=\"15\"/><br/>";
echo "<input type=\"submit\" name=\"kick\" class=\"cp\" value=\"Пнуть засранца\" /><br/>\n";
if ( 4 < $level )
{
echo "<input type=\"submit\" name=\"ban\" class=\"cp\" value=\"Забанить \" /><br/>";
}
/*##########
if ( 6 < $level )
{
echo "<div>Назначить</div><input type=\"submit\" name=\"sst\" class=\"cp\" value=\"Назначить \" /><br/>";
}
###############*/
echo "<div>Управление доп.Функцыями:</div></a>";
if ( 7 < $level )
{
echo "<a href=\"reg.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Управление Регистрацией</a><br/>";
echo "<a href=\"adv.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Управление Антирекламой</a><br/>"; 
echo "<a href=\"computer.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Управление Защитой от компов</a><br/>"; 
}
if ( 6 < $level )
{
echo "<a href=\"svadbi.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Управление Свадьбами</a><br/>";
echo "<a href=\"mail.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Разсылка новостей всем на Эмаил</a><br/>";
}
if ( 7 < $level )
{
echo "<a href=\"apanel.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Настройки системы</a><br/>";
}
echo "<div>Комнаты:</div><input type=\"submit\" name=\"tell\" class=\"cp\" value=\"Объявление в чат\"/><br/>";
if ( 5 < $level )
{
echo "<input type=\"submit\" name=\"crt\" class=\"cp\" value=\"Создать\"/><br/><input type=\"submit\" name=\"delroom\" class=\"cp\" value=\"Удалить\"/><br/><input type=\"submit\" name=\"nazv\" class=\"cp\" value=\"Заголовок\"/><br/>";
}
if ( 4 < $level )
{
echo "<input type=\"submit\" name=\"clroom\" class=\"cp\" value=\"Очистить\"/><br/>";
echo "<input type=\"submit\" name=\"clearroom\" class=\"cp\" value=\"Очистить комнату {$title}\"/><br/>";
}            
if ( 4 < $level )
{
echo "<div>Пользователи:</div>";
if ( 6 < $level )
{
echo "<input type=\"submit\" name=\"sst\" class=\"cp\" value=\"Назначить \" /><br/>";
}
echo"<input type=\"submit\" name=\"addph\" class=\"cp\" value=\"Добавить фото\"/><br/>";
}
if ( 5 < $level )
{
echo "<input type=\"submit\" name=\"dbn\" class=\"cp\" value=\"Разбанить\"/><br/>";
}
if ( 6 < $level )
{
echo "<input type=\"submit\" name=\"deluser\" class=\"cp\" value=\"Удалить\"/><br/>";
}
if ( 5 < $level )
{
echo "<div>Новости:</div><input type=\"submit\" name=\"adn\" class=\"cp\" value=\"Добавить\"/><br/><input type=\"submit\" name=\"dln\" class=\"cp\" value=\"Удалить\"/><br/>\n";
}
if ( 5 < $level )
{
echo "<div>Темы в чате:</div><input type=\"submit\" name=\"tem\" class=\"cp\" value=\"Добавить\"/><br/><input type=\"submit\" name=\"deltem\" class=\"cp\" value=\"Удалить\"/><br/>\n";
}
echo "</form><div>Лицензия:<br/><b>".date( "d-m-y", $lclose )."</b></div><br/>";
break;
}
if ( isset( $mod ) )
{
echo "---<br/><a href=\"index.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">cPanel</a><br/>";
}
}
echo "<a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a><br/><p>{$ip}</p>";
$end = gettime( );
echo "<p align=\"center\">";
echo "[".round( $end - $mystart, 5 )."]";
require("../inc/coper.php");
echo "</p></body></html>";
mysql_close( $link );
?>